curl "https://api2.ecomailapp.cz/subscribers/foo@bar.cz/transactions?per_page=50&page=1" \
-H "key: YOUR_API_KEY" \
-H "Content-Type: application/json"
{
"transactions": [
{
"id": 2220,
"order_id": "5301",
"email": "foo@bar.cz",
"shop": "mujshop.cz",
"amount": 2000,
"tax": 420,
"shipping": 99,
"city": "Praha",
"county": null,
"country": "CZ",
"timestamp": "2025-03-15 14:30:00",
"props": null,
"status": "completed",
"items": [
{
"order_id": "5301",
"code": "SKU-001",
"title": "Product name",
"category": "Electronics",
"price": 1901,
"amount": 1,
"categories": ["Electronics", "Gadgets"]
}
]
}
],
"current_page": 1,
"per_page": 50,
"total": 128,
"last_page": 3
}
Retrieve a paginated list of transactions (purchases) for a given subscriber email address, sorted by timestamp descending. Each transaction includes its items.
curl "https://api2.ecomailapp.cz/subscribers/foo@bar.cz/transactions?per_page=50&page=1" \
-H "key: YOUR_API_KEY" \
-H "Content-Type: application/json"
{
"transactions": [
{
"id": 2220,
"order_id": "5301",
"email": "foo@bar.cz",
"shop": "mujshop.cz",
"amount": 2000,
"tax": 420,
"shipping": 99,
"city": "Praha",
"county": null,
"country": "CZ",
"timestamp": "2025-03-15 14:30:00",
"props": null,
"status": "completed",
"items": [
{
"order_id": "5301",
"code": "SKU-001",
"title": "Product name",
"category": "Electronics",
"price": 1901,
"amount": 1,
"categories": ["Electronics", "Gadgets"]
}
]
}
],
"current_page": 1,
"per_page": 50,
"total": 128,
"last_page": 3
}
100, maximum 500.curl "https://api2.ecomailapp.cz/subscribers/foo@bar.cz/transactions?per_page=50&page=1" \
-H "key: YOUR_API_KEY" \
-H "Content-Type: application/json"
{
"transactions": [
{
"id": 2220,
"order_id": "5301",
"email": "foo@bar.cz",
"shop": "mujshop.cz",
"amount": 2000,
"tax": 420,
"shipping": 99,
"city": "Praha",
"county": null,
"country": "CZ",
"timestamp": "2025-03-15 14:30:00",
"props": null,
"status": "completed",
"items": [
{
"order_id": "5301",
"code": "SKU-001",
"title": "Product name",
"category": "Electronics",
"price": 1901,
"amount": 1,
"categories": ["Electronics", "Gadgets"]
}
]
}
],
"current_page": 1,
"per_page": 50,
"total": 128,
"last_page": 3
}